## aliki 0.1.0

=== source/Makefile ===
# -----------------------------------------------------------------------------------
#
#    Copyright (C) 2006-2011 Fons Adriaensen <fons@kokkinizita.net>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# -----------------------------------------------------------------------------------


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.1.0
DISTDIR = aliki-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
CPPFLAGS += -march=native

# Uncomment if you use a libsndfile version without support for setting/getting the Ambisonic flags.
#
#CPPFLAGS += -DNOAMBIS=1

all:	aliki aliki-rt


ALIKI_O = aliki.o control.o mainwin.o splashwin.o captwin.o styles.o shmem.o extproc.o exptwin.o guiclass.o \
	filewin.o sgenwin.o editwin.o filtwin.o invfilt.o impdata.o convolve.o calcthr.o acweight.o progwin.o

aliki:	CPPFLAGS += -I/usr/include/freetype2
aliki:	LDLIBS += -lclxclient -lclthreads -lpthread -lsndfile -lfftw3f -lXft -lX11 -lrt
aliki:	LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
aliki:	$(ALIKI_O)
	g++ $(LDFLAGS) -o $@ $(ALIKI_O) $(LDLIBS)
$(ALIKI_O):
-include $(ALIKI_O:%.o=%.d)


ALIKI_RT_O = aliki-rt.o mainthr.o audiothr.o shmem.o lfqueue.o impdata.o

aliki-rt:	LDLIBS += -lclalsadrv -lclthreads -lsndfile -ljack -lasound -lpthread -lrt
aliki-rt:	LDFLAGS += -L$(PREFIX)/$(LIBDIR)
aliki-rt:	 $(ALIKI_RT_O) $(LIBCLX)
	g++ $(LDFLAGS) -o $@ $(ALIKI_RT_O) $(LDLIBS)
$(ALIKI_RT_O):
-include $(ALIKI_RT_O:%.o=%.d)



install:	aliki aliki-rt
	install -m 755 aliki    $(DESTDIR)$(PREFIX)/bin
	install -m 755 aliki-rt $(DESTDIR)$(PREFIX)/bin

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f aliki aliki-rt

=== debian/changelog ===
aliki (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #602379)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 26 Jul 2011 21:12:17 +0200

=== debian/control ===
Source: aliki
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 binutils,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.6.1),
 libclalsadrv-dev (>= 2.0.0),
 libjack-dev,
 libsndfile1-dev,
 libfftw3-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/aliki.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/aliki.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: aliki
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Measurement tool for Impulse Responses
 Measure Impulse Responses using a sine sweep and deconvolution.
 For more complete introduction to this method, see
 http://kokkinizita.linuxaudio.org/linuxaudio/downloads/aliki-manual.pdf

Package: aliki-dbg
Architecture: any
Section: debug
Priority: extra
Depends: aliki (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for aliki
 Measure Impulse Responses using a sine sweep and deconvolution.
 For more complete introduction to this method, see
 http://kokkinizita.linuxaudio.org/linuxaudio/downloads/aliki-manual.pdf
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh --sourcedir=source $@ --parallel

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/aliki/usr/share/applications/
	install -d $(CURDIR)/debian/aliki/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/*.desktop $(CURDIR)/debian/aliki/usr/share/applications/
	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/aliki/usr/share/pixmaps/

override_dh_strip:
	dh_strip --dbg-package=aliki-dbg

## aliki 0.2.0

=== source/Makefile ===
--- 
+++ 
@@ -24,10 +24,17 @@
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-VERSION = 0.1.0
+VERSION = 0.2.0
 DISTDIR = aliki-$(VERSION)
-CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
-CPPFLAGS += -march=native
+CPPFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\"
+CXXFLAGS += -Wall -MMD -MP
+
+# Optimized
+#CXXFLAGS += -O2
+# With debug info
+CXXFLAGS += -g
+
+CXXFLAGS += -march=native
 
 # Uncomment if you use a libsndfile version without support for setting/getting the Ambisonic flags.
 #
@@ -40,7 +47,7 @@
 	filewin.o sgenwin.o editwin.o filtwin.o invfilt.o impdata.o convolve.o calcthr.o acweight.o progwin.o
 
 aliki:	CPPFLAGS += -I/usr/include/freetype2
-aliki:	LDLIBS += -lclxclient -lclthreads -lpthread -lsndfile -lfftw3f -lXft -lX11 -lrt
+aliki:	LDLIBS += -lclxclient -lclthreads -lsndfile -lfftw3f -lXft -lX11 -lpthread -lrt
 aliki:	LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
 aliki:	$(ALIKI_O)
 	g++ $(LDFLAGS) -o $@ $(ALIKI_O) $(LDLIBS)
@@ -50,7 +57,7 @@
 
 ALIKI_RT_O = aliki-rt.o mainthr.o audiothr.o shmem.o lfqueue.o impdata.o
 
-aliki-rt:	LDLIBS += -lclalsadrv -lclthreads -lsndfile -ljack -lasound -lpthread -lrt
+aliki-rt:	LDLIBS += -lzita-alsa-pcmi -lclthreads -lsndfile -ljack -lasound -lpthread -lrt
 aliki-rt:	LDFLAGS += -L$(PREFIX)/$(LIBDIR)
 aliki-rt:	 $(ALIKI_RT_O) $(LIBCLX)
 	g++ $(LDFLAGS) -o $@ $(ALIKI_RT_O) $(LDLIBS)

=== debian/changelog ===
aliki (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * wrap-and-sort -a -s
  * Bump Standards
  * Switch dh compat to 9 to fix hardening
  * libzita-alsa-pcmi-dev added to build-dep

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 May 2013 12:45:16 +0200

=== debian/control ===
Source: aliki
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 binutils,
 debhelper (>= 9),
 libclalsadrv-dev (>= 2.0.0),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.6.1),
 libfftw3-dev,
 libjack-dev,
 libsndfile1-dev,
 libzita-alsa-pcmi-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-multimedia/aliki.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/aliki.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: aliki
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Measurement tool for Impulse Responses
 Measure Impulse Responses using a sine sweep and deconvolution.
 For more complete introduction to this method, see
 http://kokkinizita.linuxaudio.org/linuxaudio/downloads/aliki-manual.pdf

Package: aliki-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 aliki (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for aliki
 Measure Impulse Responses using a sine sweep and deconvolution.
 For more complete introduction to this method, see
 http://kokkinizita.linuxaudio.org/linuxaudio/downloads/aliki-manual.pdf
 .
 This package contains the debugging symbols.

## aliki 0.3.0

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2003-2013 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.3.0
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\"
CXXFLAGS += -O2 -Wall -MMD -MP
CXXFLAGS += -march=native


all:	aliki aliki-rt


ALIKI_O = aliki.o control.o mainwin.o splashwin.o captwin.o styles.o shmem.o extproc.o exptwin.o guiclass.o \
	filewin.o sgenwin.o editwin.o filtwin.o invfilt.o impdata.o convolve.o calcthr.o acweight.o progwin.o

aliki:	CPPFLAGS += -I/usr/include/freetype2
aliki:	LDLIBS += -lclxclient -lclthreads -lsndfile -lfftw3f -lXft -lX11 -lpthread -lrt
aliki:	LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
aliki:	$(ALIKI_O)
	g++ $(LDFLAGS) -o $@ $(ALIKI_O) $(LDLIBS)
$(ALIKI_O):
-include $(ALIKI_O:%.o=%.d)


ALIKI_RT_O = aliki-rt.o mainthr.o audiothr.o shmem.o lfqueue.o impdata.o

aliki-rt:	LDLIBS += -lzita-alsa-pcmi -lclthreads -lsndfile -ljack -lasound -lpthread -lrt
aliki-rt:	LDFLAGS += -L$(PREFIX)/$(LIBDIR)
aliki-rt:	 $(ALIKI_RT_O) $(LIBCLX)
	g++ $(LDFLAGS) -o $@ $(ALIKI_RT_O) $(LDLIBS)
$(ALIKI_RT_O):
-include $(ALIKI_RT_O:%.o=%.d)



install:	aliki aliki-rt
	install -m 755 aliki    $(DESTDIR)$(PREFIX)/bin
	install -m 755 aliki-rt $(DESTDIR)$(PREFIX)/bin

uninstall:
	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/aliki
	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/aliki-rt

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f aliki aliki-rt

=== debian/changelog ===
aliki (0.3.0-6) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Update aliki-alsa.desktop (add French name & comments)
  * Update aliki-jack.desktop (add French name & comments)
  * Add d/docs which install the aliki PDF manual
  * Update copyright (add myself + http -> https)
  * Update watch (http -> https)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

  [ Boyuan Yang ]
  * Rebuild after Debian 12 release.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Use secure URI in readme.
  * debian/copyright: Use SPDX identifiers.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Jul 2023 10:44:55 -0400

aliki (0.3.0-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Fix overrides

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 21:36:12 +0200

aliki (0.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
  * debian/: Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 21:21:54 +0200

aliki (0.3.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0.
    + Use HTTPS in the Format field of d/copyright.
  * Fix cross build failure:
    + Drop implicitly satisfied build dependency on binutils.
    + Make g++ substitutable in source/Makefile.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 31 Aug 2017 15:31:56 +0200

aliki (0.3.0-2) unstable; urgency=medium

  * Update copyright file
  * Set dh 10.
  * Bump Standards.
  * Sign tags.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Drop dbg package in favour of dbgsym.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 20 Dec 2016 19:56:55 +0100

aliki (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Set dependency on libclxclient 3.9.0 to fix a crash. (Closes: #715628)
  * Fix VCS canonical URLs.
  * Update copyright file.
  * Added Keywords for desktop files.
  * Tighten dependency on zita-alsa-pcmi.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Aug 2013 22:31:06 +0200

=== debian/control ===
Source: aliki
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper-compat (= 13),
 libclalsadrv-dev,
 libclthreads-dev,
 libclxclient-dev,
 libfftw3-dev,
 libjack-dev,
 libsndfile1-dev,
 libzita-alsa-pcmi-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/aliki.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/aliki
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
Rules-Requires-Root: no

Package: aliki
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Measurement tool for Impulse Responses
 Measure Impulse Responses using a sine sweep and deconvolution.
 For more complete introduction to this method, see
 https://kokkinizita.linuxaudio.org/linuxaudio/downloads/aliki-manual.pdf

=== debian/rules ===
#!/usr/bin/make -f

export LDLIBS += -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C source clean

override_dh_auto_build:
	$(MAKE) -C source

override_dh_auto_install:
	$(MAKE) -C source install DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	aliki-(.*)\.tar\.bz2
